﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WpfApplication2
    {
    class Employee:INotifyPropertyChanged 
        {
        private string _FirstName;
        private string _Group;

        public Employee(String pFirstName,
          String pLastName, int pAge, int pSalary, String pGroup)
            {
            FirstName = pFirstName;
            LastName = pLastName;
            Age = pAge;
            Salary = pSalary;
            Group = pGroup;
            }

        public String FirstName
            {
            get { return _FirstName; }
            set
                {
                _FirstName = value;
                OnPropertyChanged("FirstName");
                }
            }
        public String LastName { get; set; }
        public int Age { get; set; }
        public int Salary { get; set; }
      //  public String Group { get; set; }


        public String Group
            {
            get { return _Group; }
            set
                {
                _Group = value;
                OnPropertyChanged("Group");
                }
            }



        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
            {


            if (PropertyChanged != null)
                {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
                }
            }


        }
    }