﻿
using Microsoft.Practices.Prism.Commands;
using System.Windows.Input;
using System.Diagnostics;
using System.ComponentModel;

namespace WpfApplication2.ViewModel
    {
    class MainWindowViewModel //: INotifyPropertyChanged
        {
        private EmployeeCollection _ECollection;

        public EmployeeCollection ECollection { get { return _ECollection; } }



        public MainWindowViewModel()
            {
            this._ECollection = new EmployeeCollection();
            this.SubmitCommand = new DelegateCommand<EmployeeCollection>(OnSubmit);

            }


        public ICommand SubmitCommand { get; private set; }



        public void OnSubmit(EmployeeCollection mycollection)

            {
            mycollection[0].LastName = "test";
            foreach (var item in mycollection)
                {
                Debug.WriteLine("First Name:    " + item.FirstName + "  Group:  " + item.Group);

                item.FirstName = "Test";
                item.Group = "OP";
                }


         //   OnPropertyChanged("MainWindowViewModel");


            }


        //public event PropertyChangedEventHandler PropertyChanged;

        //private void OnPropertyChanged(string propertyName)
        //    {


        //    if (PropertyChanged != null)
        //        {
        //        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        //        }
        //    }




        }
    }
